changeset 1489:c5b158bdaa3f

Replace cpp with cc -E so it's funneled through ccwrap as well.
author Rob Landley <rob@landley.net>
date Sun, 22 Jan 2012 18:38:58 -0600
parents 17171917b781
children 80aa01e96136
files sources/sections/ccwrap.sh
diffstat 1 files changed, 3 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/sources/sections/ccwrap.sh	Thu Jan 12 08:44:22 2012 -0600
+++ b/sources/sections/ccwrap.sh	Sun Jan 22 18:38:58 2012 -0600
@@ -8,4 +8,6 @@
 # Build wrapper binary
 
 "$TEMP" "$SOURCES/toys/ccwrap.c" -Os $CFLAGS \
-  -o "$STAGE_DIR/bin/${TOOLCHAIN_PREFIX}cc" $STATIC_FLAGS || dienow
+  -o "$STAGE_DIR/bin/${TOOLCHAIN_PREFIX}cc" $STATIC_FLAGS &&
+echo -e '#!/bin/bash\n\ncc -E "$@"' > "$STAGE_DIR/bin/cpp" &&
+chmod +x "$STAGE_DIR/bin/cpp" || dienow